petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDrawView

Prints the PetscDraw data structure.

### Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode  PetscDrawView(PetscDraw indraw,PetscViewer viewer)

Collective on PetscDraw Many br

### Input Parameters

| indraw | - the PetscDraw context Many br
| viewer | - visualization context Many br

See PetscDrawSetFromOptions() for options database keys Many br

### Note

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

The user can open an alternative visualization context with Many brPetscViewerASCIIOpen() - output to a specified file. Many br

Many br

### Keywords

PetscDraw, view

### See Also

PCView(), PetscViewerASCIIOpen()

Level:beginner
Location:src/sys/classes/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages